News

Article-centric news feed for a category - latest articles with linked markets and live prices

GET
/news-feed/{category}

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Path Parameters

category*string

Query Parameters

cursor?string
Match^[0-9]+$
Length1 <= length <= 32
since?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
limit?integer
Range1 <= value <= 50

Response Body

200

application/json
  1. response
data*array<>
nextCursor*string
hasMore*boolean
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/news-feed/string'
Example Response
{  "data": [    {      "article": {        "id": "string",        "title": "string",        "url": "string",        "snippet": "string",        "source": "string",        "imageUrl": "string",        "publishedAt": "string"      },      "markets": [        {          "venueMarketId": "string",          "question": "string",          "venue": "string",          "yesPrice": 0,          "eventTitle": "string",          "eventId": "string",          "summary": "string",          "relevanceScore": 0        }      ],      "category": "string",      "id": "string",      "seq": 0,      "timestamp": "string"    }  ],  "nextCursor": "string",  "hasMore": true}